VST 3 Examples: LogScaleParameter< T > Class Template Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
LogScaleParameter< T > Class Template Reference

Parameter class with a LogScale. More...

`#include <logscale.h>`

Inheritance diagram for LogScaleParameter< T >:

## Public Member Functions
| LogScaleParameter (const TChar *title, ParamID tag, LogScale< T > &logScale, const TChar *units=0, int32 flags=ParameterInfo::kCanAutomate, UnitID unitID=kRootUnitId)
virtual void | toString (ParamValue _valueNormalized, String128 string) const SMTG_OVERRIDE
virtual bool | fromString (const TChar *string, ParamValue &_valueNormalized) const SMTG_OVERRIDE
virtual ParamValue | toPlain (ParamValue _valueNormalized) const SMTG_OVERRIDE
virtual ParamValue | toNormalized (ParamValue plainValue) const SMTG_OVERRIDE
Public Member Functions inherited from Parameter
| Parameter ()
| Parameter (const ParameterInfo &)
| Parameter (const TChar *title, ParamID tag, const TChar *units=nullptr, ParamValue defaultValueNormalized=0., int32 stepCount=0, int32 flags=ParameterInfo::kCanAutomate, UnitID unitID=kRootUnitId, const TChar *shortTitle=nullptr)
| ~Parameter () override
virtual const ParameterInfo & | getInfo () const
virtual ParameterInfo & | getInfo ()
virtual void | setUnitID (UnitID id)
virtual UnitID | getUnitID ()
ParamValue | getNormalized () const
virtual bool | setNormalized (ParamValue v)
virtual int32 | getPrecision () const
virtual void | setPrecision (int32 val)

## Public Attributes
OBJ_METHODS(LogScaleParameter < T >, Parameter) protected ParamValue | multiplier
Public Attributes inherited from Parameter
OBJ_METHODS(Parameter, FObject) protected ParamValue | valueNormalized
int32 | precision

## Detailed Description

### template<class T>
class Steinberg::Vst::LogScaleParameter< T >

Parameter class with a LogScale.

Define a parameter using the LogScale.

See Also
  Steinberg::Vst::LogScale

## Constructor & Destructor Documentation

LogScaleParameter | ( | const TChar * | title,
|  | ParamID | tag,
|  | LogScale< T > & | logScale,
|  | const TChar * | units = `0`,
|  | int32 | flags = `ParameterInfo::kCanAutomate`,
|  | UnitID | unitID = `kRootUnitId`
| ) |  |
| inline

## Member Function Documentation

virtual void toString | ( | ParamValue | _valueNormalized,
|  | String128 | string
| ) |  | const
| inlinevirtual

Reimplemented from Parameter.

virtual bool fromString | ( | const TChar * | string,
|  | ParamValue & | _valueNormalized
| ) |  | const
| inlinevirtual

Reimplemented from Parameter.

virtual ParamValue toPlain | ( | ParamValue | _valueNormalized | ) | const
| inlinevirtual

Reimplemented from Parameter.

virtual ParamValue toNormalized | ( | ParamValue | plainValue | ) | const
| inlinevirtual

Reimplemented from Parameter.

## Member Data Documentation

OBJ_METHODS (LogScaleParameter<T>, Parameter) protected ParamValue multiplier

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.